newsgpy - News

 
 

OS upgrade

Item posted by Svetlana T <svetlana> on Wed 14 Jun 2017 03:24:56 AM UTC.

gpy is hosted on Wikimedia Tool server.

They updated the operating system from Ubuntu 'trusty' to Ubuntu 'precise' this year.

This appears to cause a memory leak in gpy. It is killed by the grid engine after one to two days of its uptime.

The issue does not appear to affect the WikiLinker module, which remains enabled.

While troubleshooting this issue, I've found a list of perl libraries gpy needs. This list is included below in case it helps anyone else with installing gpy. It is recommended to use perlbrew.

AnyEvent::Feed
Bot::BasicBot::Pluggable::Module
Bot::BasicBot::Pluggable
Carp
Data::Dumper
DateTime
DateTime::Format::Duration
DateTime::Format::Human::Duration
DateTime::Format::ISO8601
DateTime::Format::Strptime
Encode
File::Spec
LWP::Protocol::https
HTML::Entities
HTML::TreeBuilder
MediaWiki::API
POE
String::Format
Test::More
URI::Escape
WWW::Shorten::TinyURL

Back to the top

Powered by Savane 3.13-758e.
Corresponding source code